tvbrowser.ui.programtable

## Class ProgramTableScrollPane

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JScrollPane
        - - tvbrowser.ui.programtable.ProgramTableScrollPane

- All Implemented Interfaces:
    java.awt.event.MouseWheelListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ChangeListener, javax.swing.ScrollPaneConstants, ProgramTableModelListener

      public class ProgramTableScrollPane
      extends javax.swing.JScrollPane
      implements ProgramTableModelListener, java.awt.event.MouseWheelListener, javax.swing.event.ChangeListener

  Author:
    Til Schneider, www.murfman.de
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JScrollPane

      `javax.swing.JScrollPane.AccessibleJScrollPane, javax.swing.JScrollPane.ScrollBar`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JScrollPane

      `columnHeader, horizontalScrollBar, horizontalScrollBarPolicy, lowerLeft, lowerRight, rowHeader, upperLeft, upperRight, verticalScrollBar, verticalScrollBarPolicy, viewport`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.ScrollPaneConstants

      `COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramTableScrollPane(ProgramTableModel model, java.awt.event.KeyListener keyListener)` Creates a new instance of ProgramTableScrollPane.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closePopupMenuIfVisible()` Closes the PopupMenu menu if it is visible.
    `Program` | `deSelectItem(boolean getProgram)` Deselect the selected program.
    `void` | `doLayout()`
    `void` | `down()` Go to the program under the current program.
    `void` | `forceRepaintAll()`
    `ProgramTable` | `getProgramTable()`
    `int` | `getScrolledTime()` get the currently scrolled time of the program table
    `protected void` | `handleBackgroundPainterChanged(BackgroundPainter painter)`
    `void` | `handleKeyboardAction(ContextMenuIf action)` Handles the given action for the selected program
    `void` | `left()` Go to the left program of the current program.
    `void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)`
    `void` | `repaint()`
    `void` | `resetScrolledTime()`
    `void` | `right()` Go to the right program of the current program.
    `void` | `scrollPageLeft()`
    `void` | `scrollPageRight()`
    `void` | `scrollToChannel(Channel channel)`
    `void` | `scrollToTime(int minutesAfterMidnight)`
    `void` | `setColumnWidth(int columnWidth)`
    `void` | `stateChanged(javax.swing.event.ChangeEvent e)`
    `void` | `tableCellUpdated(int col, int row)`
    `void` | `tableDataChanged(java.lang.Runnable callback)`
    `void` | `togglePopupMenu()` Toggles visibility of the PopupMenu for the selected program.
    `void` | `up()` Go to the program on top of the current program.
    `void` | `updateChannelLabelForChannel(Channel ch)`
    `void` | `updateChannelPanel()` completely refresh the channel labels at the top of the program table
    `void` | `updatePersona()` Updates Persona after change.

    - ### Methods inherited from class javax.swing.JScrollPane

      `createHorizontalScrollBar, createVerticalScrollBar, createViewport, getAccessibleContext, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getUI, getUIClassID, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorder, getViewportBorderBounds, isValidateRoot, isWheelScrollingEnabled, paramString, setColumnHeader, setColumnHeaderView, setComponentOrientation, setCorner, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setLayout, setRowHeader, setRowHeaderView, setUI, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, setWheelScrollingEnabled, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgramTableScrollPane

          public ProgramTableScrollPane(ProgramTableModel model,
                                java.awt.event.KeyListener keyListener)

      Creates a new instance of ProgramTableScrollPane.

  - ### Method Detail

    - #### getProgramTable

          public ProgramTable getProgramTable()

    - #### forceRepaintAll

          public void forceRepaintAll()

    - #### repaint

          public void repaint()

      Overrides:
        `repaint` in class `java.awt.Component`

    - #### updateChannelPanel

          public void updateChannelPanel()

      completely refresh the channel labels at the top of the program table

    - #### updateChannelLabelForChannel

          public void updateChannelLabelForChannel(Channel ch)

    - #### setColumnWidth

          public void setColumnWidth(int columnWidth)

    - #### scrollToChannel

          public void scrollToChannel(Channel channel)

    - #### scrollToTime

          public void scrollToTime(int minutesAfterMidnight)

    - #### handleBackgroundPainterChanged

          protected void handleBackgroundPainterChanged(BackgroundPainter painter)

    - #### tableDataChanged

          public void tableDataChanged(java.lang.Runnable callback)

      Specified by:
        `tableDataChanged` in interface `ProgramTableModelListener`

    - #### tableCellUpdated

          public void tableCellUpdated(int col,
                              int row)

      Specified by:
        `tableCellUpdated` in interface `ProgramTableModelListener`

    - #### mouseWheelMoved

          public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

      Specified by:
        `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`

    - #### right

          public void right()

      Go to the right program of the current program.

    - #### up

          public void up()

      Go to the program on top of the current program.

    - #### down

          public void down()

      Go to the program under the current program.

    - #### left

          public void left()

      Go to the left program of the current program.

    - #### closePopupMenuIfVisible

          public void closePopupMenuIfVisible()

      Closes the PopupMenu menu if it is visible.

    - #### togglePopupMenu

          public void togglePopupMenu()

      Toggles visibility of the PopupMenu for the selected program.

    - #### handleKeyboardAction

          public void handleKeyboardAction(ContextMenuIf action)

      Handles the given action for the selected program

      Parameters:
        `action` - The action to perform for the selected program.
      Since:
        3.3.1

    - #### deSelectItem

          public Program deSelectItem(boolean getProgram)

      Deselect the selected program.

      Parameters:
        `getProgram` - If the currently selected program should be returned.
      Returns:
        The formally selected program or `null` if there was no selected program.

    - #### stateChanged

          public void stateChanged(javax.swing.event.ChangeEvent e)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`

    - #### doLayout

          public void doLayout()

      Overrides:
        `doLayout` in class `java.awt.Container`

    - #### getScrolledTime

          public int getScrolledTime()

      get the currently scrolled time of the program table
      Returns:
        time in minutes after midnight, or -1 if it is unknown

    - #### resetScrolledTime

          public void resetScrolledTime()

    - #### scrollPageRight

          public void scrollPageRight()

    - #### scrollPageLeft

          public void scrollPageLeft()

    - #### updatePersona

          public void updatePersona()

      Updates Persona after change.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)